import request from '@/utils/request'

// 查询大楼类别：building_type列表
export function listBuildingType(query) {
  return request({
    url: '/type/buildingType/list',
    method: 'get',
    params: query
  })
}

// 查询大楼类别：building_type详细
export function getBuildingType(typeId) {
  return request({
    url: '/type/buildingType/' + typeId,
    method: 'get'
  })
}

// 新增大楼类别：building_type
export function addBuildingType(data) {
  return request({
    url: '/type/buildingType',
    method: 'post',
    data: data
  })
}

// 修改大楼类别：building_type
export function updateBuildingType(data) {
  return request({
    url: '/type/buildingType',
    method: 'put',
    data: data
  })
}

// 删除大楼类别：building_type
export function delBuildingType(typeId) {
  return request({
    url: '/type/buildingType/' + typeId,
    method: 'delete'
  })
}

// 导出大楼类别：building_type
export function exportBuildingType(query) {
  return request({
    url: '/type/buildingType/export',
    method: 'get',
    params: query
  })
}
